<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Framework: framework::core::SendData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_send_data.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_send_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::SendData Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class for sending datas to ground station.  
 <a href="classframework_1_1core_1_1_send_data.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_send_data_8h_source.html">SendData.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::SendData:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_send_data.png" usemap="#framework::core::SendData_map" alt=""/>
  <map id="framework::core::SendData_map" name="framework::core::SendData_map">
<area href="classframework_1_1gui_1_1_data_plot.html" title="Abstract class to display plots on ground station. " alt="framework::gui::DataPlot" shape="rect" coords="102,56,296,80"/>
<area href="classframework_1_1gui_1_1_map.html" title="Class displaying a GPS map on the ground station. " alt="framework::gui::Map" shape="rect" coords="306,56,500,80"/>
<area href="classframework_1_1gui_1_1_picture.html" title="Class displaying a Picture on the ground station. " alt="framework::gui::Picture" shape="rect" coords="510,56,704,80"/>
<area href="classframework_1_1gui_1_1_range_finder_plot.html" title="Class displaying a 2D plot on the ground station for laser range finder like Hokuyo. " alt="framework::gui::RangeFinderPlot" shape="rect" coords="714,56,908,80"/>
<area href="classframework_1_1gui_1_1_data_plot1_d.html" title="Class displaying a 1D plot on the ground station. " alt="framework::gui::DataPlot1D" shape="rect" coords="0,112,194,136"/>
<area href="classframework_1_1gui_1_1_data_plot2_d.html" title="Class displaying a 2D plot on the ground station. " alt="framework::gui::DataPlot2D" shape="rect" coords="204,112,398,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac850a4cfcbe761023d0dd9f4f68b2e88"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_send_data.html#ac850a4cfcbe761023d0dd9f4f68b2e88">SendData</a> ()</td></tr>
<tr class="memdesc:ac850a4cfcbe761023d0dd9f4f68b2e88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac850a4cfcbe761023d0dd9f4f68b2e88">More...</a><br/></td></tr>
<tr class="separator:ac850a4cfcbe761023d0dd9f4f68b2e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc9949b1ac1d0c36569a8bc9b67127f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_send_data.html#a4cc9949b1ac1d0c36569a8bc9b67127f">~SendData</a> ()</td></tr>
<tr class="memdesc:a4cc9949b1ac1d0c36569a8bc9b67127f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a4cc9949b1ac1d0c36569a8bc9b67127f">More...</a><br/></td></tr>
<tr class="separator:a4cc9949b1ac1d0c36569a8bc9b67127f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf23f3d8f74748d04b3d889e2d95f75b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf23f3d8f74748d04b3d889e2d95f75b"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>SendSize</b> (void) const </td></tr>
<tr class="separator:adf23f3d8f74748d04b3d889e2d95f75b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a116f08024a513aad422921914fdac19c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a116f08024a513aad422921914fdac19c"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>SendPeriod</b> (void) const </td></tr>
<tr class="separator:a116f08024a513aad422921914fdac19c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f360d50b849504f853969fcddd7459e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f360d50b849504f853969fcddd7459e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsEnabled</b> (void) const </td></tr>
<tr class="separator:a6f360d50b849504f853969fcddd7459e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a6fa0afd5bc9399b979dd45423b3e0186"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fa0afd5bc9399b979dd45423b3e0186"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetEnabled</b> (bool value)</td></tr>
<tr class="separator:a6fa0afd5bc9399b979dd45423b3e0186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87d34d5e6a02e1a6c956ece0e9d958e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87d34d5e6a02e1a6c956ece0e9d958e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetSendSize</b> (size_t value)</td></tr>
<tr class="separator:a87d34d5e6a02e1a6c956ece0e9d958e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e9102e031fad21f51f2db629cdb7829"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e9102e031fad21f51f2db629cdb7829"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetSendPeriod</b> (uint16_t value)</td></tr>
<tr class="separator:a5e9102e031fad21f51f2db629cdb7829"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class for sending datas to ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac850a4cfcbe761023d0dd9f4f68b2e88"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::SendData::SendData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<a class="anchor" id="a4cc9949b1ac1d0c36569a8bc9b67127f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual framework::core::SendData::~SendData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_send_data.html">SendData</a></li>
    <li class="footer">Generated on Thu Apr 2 2015 17:44:37 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
